com.mysql.cj.conf

## Class ConnectionUrlParser.Pair<T,U>

- java.lang.Object
- - com.mysql.cj.conf.ConnectionUrlParser.Pair<T,U>

Type Parameters:
  `T` - left part type
  `U` - right part type

Enclosing class:
  ConnectionUrlParser

    public static class ConnectionUrlParser.Pair<T,U>
    extends Object

This class is a simple container for two elements.

### Field Summary

Fields
`T` `left`
`U` `right`

### Constructor Summary

Constructors
Constructor and Description
`Pair(T left, U right)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### left

    public final T left

#### right

    public final U right

### Constructor Detail

#### Pair

    public Pair(T left,
                U right)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

Copyright © 2016, 2024, Oracle and/or its affiliates.